from dspt_api import views
from django.urls import path

urlpatterns = [
    path('get_channel', views.EcChannelViewSet.as_view({'get': 'list'}), name='get_ec_channel'),
    path('get_env', views.EcEnvViewSet.as_view({'get': 'list'}), name='get_ec_env'),
    path('get_api', views.EcApiViewSet.as_view({'get': 'list'}), name='get_ec_api'),
    path('get_api_params', views.EcApiParamsViewSet.as_view({'get': 'list'}), name='get_ec_api_params'),
    path('get_cinema_ids', views.EcCinemaIdsViewSet.as_view({'get': 'list'}), name='get_ec_cinema_ids'),
    path('get_request_log', views.EcRequestLogViewSet.as_view({'get': 'list'}), name='get_ec_request_log'),
    path('get_api_group', views.EcApiGroupViewSet.as_view({'get': 'list'}), name='get_ec_api_group'),
    path('get_params_by_type', views.get_api_params_by_api_type),
    path('get_url', views.general_api_url),
    path('send_request', views.send_request),
    path('get_suggest_params', views.get_suggest_params_by_api),
    path('get_suggest_params_timestamp', views.get_suggest_params_timestamp_by_api),
    path('set_user_data', views.set_user_select_data),
    path('clear_user_data', views.clear_user_select_data),
    path('get_quan', views.get_quan),
]
