import datetime


def get_stime_etime(_type='date', today=True):
    # stime and etime
    time_format = '%Y-%m-%d' if _type == 'date' else '%Y-%m-%d %H:%M:%S'
    _now = datetime.datetime.now()
    end_date = _now.strftime(time_format) if today else (_now + datetime.timedelta(days=-1)).strftime(time_format)
    start_date = (_now + datetime.timedelta(days=-30)).strftime(time_format)
    return start_date, end_date
