from rest_framework import serializers

from dspt_api.models import EcChannel, EcEnv, EcApi, EcApiParams, EcCinemaIds, EcRequestLog, EcApiGroup


class EcChannelSerializer(serializers.ModelSerializer):
    class Meta:
        model = EcChannel
        fields = '__all__'


class EcEnvSerializer(serializers.ModelSerializer):
    class Meta:
        model = EcEnv
        fields = '__all__'


class EcApiSerializer(serializers.ModelSerializer):
    class Meta:
        model = EcApi
        fields = '__all__'


class EcApiParamsSerializer(serializers.ModelSerializer):
    class Meta:
        model = EcApiParams
        fields = '__all__'


class EcCinemaIdsSerializer(serializers.ModelSerializer):
    class Meta:
        model = EcCinemaIds
        fields = '__all__'


class EcRequestLogSerializer(serializers.ModelSerializer):
    class Meta:
        model = EcRequestLog
        fields = '__all__'


class EcApiGroupSerializer(serializers.ModelSerializer):
    class Meta:
        model = EcApiGroup
        fields = '__all__'
