from dspt_api.util.general.handle_redis import get_data_from_redis
from dspt_api.util.api.seat_lock import ApiSeatLock
from dspt_api.util.api.ecard_detail import ApiEcardDetail
import random


class ApiEcardSeatPrice:
    def __init__(self, **kwargs):
        self.member_type = kwargs.get('member_type')
        self.api = kwargs.get('api')
        self.ip = kwargs.get('ip')
        self.env = kwargs.get('env')
        self.cid = kwargs.get('cid')
        self.pid = kwargs.get('pid')
        self.kwargs = kwargs

    def get_suggestion(self):
        # 获取 play_id seat_idplay_update_time
        params = ApiSeatLock(**self.kwargs).get_suggestion()
        # 获取 ecard_number
        ecard_number = ApiEcardDetail(**self.kwargs).get_suggestion()
        return params + ecard_number

    def get_timestamp(self):
        # 获取 play_id seat_idplay_update_time
        params_ts = ApiSeatLock(**self.kwargs).get_timestamp()
        # 获取 ecard_number
        ecard_number_ts = ApiEcardDetail(**self.kwargs).get_timestamp()
        return params_ts if params_ts > ecard_number_ts else ecard_number_ts
