import time
import random
from django_redis import get_redis_connection


def general_order_num(prefix, api, api_type, ip, env, pid, cid):
    # 生成新的order_num
    _now = str(int(time.time() * 1000))
    _rand = str(random.randint(100, 999))
    order_num = prefix + _now + _rand
    # 注册redis写入order_num
    redis_conn = get_redis_connection()
    redis_key = f'dspt_api_{ip}_{env}_{api_type}_{pid}_{cid}_{api}_order_num'
    if redis_conn.get(redis_key):
        redis_conn.delete(redis_key)
    redis_conn.set(redis_key, order_num, 10 * 60 * 60)
    return order_num
