import pymysql
from pymysql.cursors import DictCursor


def get():
    mock_data = {
        'message': '操作成功',
        'data':
            {
                'filmList':
                    [
                        {
                            'filmCode': '001299992022',
                            'duration': 90,
                            'aliasName': None,
                            'keyEndtime': '2050-12-31',
                            'keyStarttime': '2022-01-01',
                            'reshowFlag': False,
                            'publishDate': '2023-01-01',
                            'filmName': 'Mock测试影片(不要排片！)',
                            'producer': '无',
                            'publisher': '暂空',
                            'language': None,
                            'version': '0'
                        }
                    ],
                'pageable':
                    {
                        'size': 20,
                        'totalPages': 1,
                        'page': 1
                    }
            },
        'code': '200',
        'status': 'success'
    }
    return mock_data


"""
国家编码（3）+ 发行版本编码（1）+ 当年流水编码（4）+ 年份（4）
例如 001d12342023

国家编码：
001 中国
002 中国香港
003 中国台湾
011 朝鲜
012 日本
013 越南
014 泰国
015 缅甸
016 新加坡
017 印尼
018 斯里兰卡
019 印度
020 巴基斯坦
021 蒙古
022 伊拉克
023 黎巴嫩
024 土尔其
025 菲律宾
026 尼泊尔
027 叙利亚
035 澳大利亚
036 新西兰
041 埃及
042 阿尔及利亚
043 突尼斯
044 摩洛哥
051 美国
052 墨西哥
053 委内瑞拉
054 古巴
055 哥伦比亚
056 玻利维亚
058 阿根廷
059 加拿大
060 巴西
073 丹麦
076 荷兰
077 西班牙
078 意大利
079 西德
080 东德
081 瑞士
082 奥地利
083 波兰
084 捷克
085 匈牙利
086 罗马尼亚
087 保加利亚
088 南斯拉夫
089 阿尔巴尼亚
090 希腊
091 俄罗斯
092 比利时
093 瑞典
其他未列出的三位编码由《影片编码原则》保留。

发行版本：
0、故事片观摩影片
1、故事片普通
2、故事片普通立体
3、故事片IMAX
4、故事片IMAX立体
5、故事片胶片(进口)
6、故事片其他特种电影
7、故事片其他
8、故事片中国巨幕
9、故事片中国巨幕立体
a、动画片观摩影片
b、动画片普通
o、动画片普通立体
d、动画片IMAX
e、动画片IMAX立体
f、动画片胶片(进口)
g、动画片其他特种电影
h、动画片其他
i、动画片中国巨幕
j、动画片中国巨幕立体
k、纪录片观摩影片
l、纪录片普通
m、纪录片普通立体
n、纪录片IMAX
o、纪录片IMAX立体
p、纪录片胶片(进口）
q、纪录片其他特种电影
r、纪录片其他
s、纪录片中国巨幕
t、纪录片中国巨幕立体
u、科教片观摩影片
v、科教片普逋
w、科教片普通立体
x、科教片IMAX
y、科教片IMAX立体
z、科教片胶片(进口)
A、科教片其他特种电影
B、科教片其他
C、科教片中国巨幕
D、科教片中国巨幕立体
"""
